# Asterisk Project : Asterisk 12 Function_SHELL

Added by wikibot , edited by wikibot on Aug 29, 2013

# SHELL()

### Synopsis

Executes a command using the system shell and captures its output.

### Description

Collects the output generated by a command executed by the system shell

Example: `Set(foo=${SHELL(echo \bar)})`

Note

The command supplied to this function will be executed by the system's shell, typically specified in the SHELL environment variable. There are many different system shells available with somewhat different behaviors, so the output generated by this function may vary between platforms.

### Syntax

    SHELL(command)

##### Arguments

- `command` - The command that the shell should execute.

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown